unit framefrm;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ColorGrd, StdCtrls, Spin, Buttons;

type
  Tframeform = class(TForm)
    GroupBox1: TGroupBox;
    frameleft: TCheckBox;
    frameright: TCheckBox;
    frametop: TCheckBox;
    framebottom: TCheckBox;
    frameoutline: TCheckBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    SpinEdit1: TSpinEdit;
    label1: TLabel;
    Label2: TLabel;
    ListBox1: TListBox;
    ColorGrid1: TColorGrid;
    Label3: TLabel;
    procedure frameoutlineClick(Sender: TObject);
    procedure frameleftClick(Sender: TObject);
    procedure framerightClick(Sender: TObject);
    procedure frametopClick(Sender: TObject);
    procedure framebottomClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frameform: Tframeform;

implementation

{$R *.DFM}

procedure Tframeform.frameoutlineClick(Sender: TObject);
begin
     if frameoutline.checked then
     begin
       frameleft.checked := false;
       frameright.checked := false;
       frametop.checked := false;
       framebottom.checked := false;
     end;
end;

procedure Tframeform.frameleftClick(Sender: TObject);
begin
     if frameleft.checked then
       frameoutline.checked := false;
end;

procedure Tframeform.framerightClick(Sender: TObject);
begin
     if frameright.checked then
       frameoutline.checked := false;
end;

procedure Tframeform.frametopClick(Sender: TObject);
begin
     if frametop.checked then
       frameoutline.checked := false;
end;

procedure Tframeform.framebottomClick(Sender: TObject);
begin
     if framebottom.checked then
       frameoutline.checked := false;
end;

procedure Tframeform.BitBtn1Click(Sender: TObject);
begin
     modalresult := mrok;
end;

procedure Tframeform.BitBtn2Click(Sender: TObject);
begin
     modalresult := mrcancel;
end;

procedure Tframeform.FormShow(Sender: TObject);
begin
     listbox1.itemindex := 0;
end;

end.
